import 'dart:io';
import 'option.dart';

class Terminal {
  const Terminal();

  void printPromt(String promt) {
    stdout.writeln(promt);
  }

  void printOption(List<Option> options) {
    options.asMap().forEach((index, option) {
      stdout.writeln('[$index] - ${option.label}');
    });

    stdout.writeln('Enter a choice\n');
    stdout.write('>');
  }

  String collectInput() {
    return stdin.readLineSync();
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[of');
    } else {
      stdout.write('\x1B[2J\x1B[3J');
    }
  }
}
